Subject: bug#31744: 26.1; Improvements to make tags and make -C test

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Jun 2018 19:59:41 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 09 Jun 2018 15:16:00 -0400
> 
> >> especially since every build directory will have identical TAGS
> >> files anyway
> >
> > That's what happens currently, but it isn't carved in stone.  We
> > could, for example, have TAGS reflect only the files that are compiled
> > in on the current platform; other projects (like GDB, for example) do
> > just that.  Then each build will have a different TAGS file.
> 
> I hope not, that sounds inconvenient to me.

It depends.  When you work in the build tree, it is reasonable to
assume you are interested only in the files relevant to that build, so
you won't want to see, e.g., w32term.c when you are working on an X
build.

> Going back to a question from earlier in the thread:
> 
> >> +ifeq ($(TEST_INTERACTIVE), yes)
> >> +	HOME=/nonexistent $(emacs) \
> >> +	  -l ert ${ert_opts} \
> >> +	  $(patsubst %,-l %,$(if $(findstring $(TEST_LOAD_EL),yes),$ELFILES,$(ELFILES:.el=)))  \
> >> +	  $(TEST_RUN_ERT)
> >> +else
> >>  	-@${MAKE} -k  ${LOGFILES}
> >> -	@$(emacs) -l ert -f ert-summarize-tests-batch-and-exit ${LOGFILES}
> >> +	@$(emacs) --batch -l ert -f ert-summarize-tests-batch-and-exit ${LOGFILES}
> >> +endif
> 
> > Not sure I understand the HOME trick: why not use -Q?
> 
> $(emacs) already includes -Q (or rather, the equivalent long options
> --no-init-file --no-site-file --no-site-lisp).  The HOME trick was added
> in [d17aa3e535] and [412c38aa28].  I can't find a specific discussion,
> but http://lists.gnu.org/archive/html/emacs-devel/2017-05/msg00641.html
> seems related.  I've added a comment to explain this better.

Thanks, I have no more comments.  Please go ahead, and thanks.